tmp_dir <- tempdir()

context("Retrieving and aligning multidimensional data sets.")

test_that("Call with no pattern dimension crashes.", {
  expect_error(
    Start(), 
    "At least one pattern dim must be specified."
  )
  expect_error(
    Start(1), 
    "At least one pattern dim must be specified."
  )
  expect_error(
    Start('a'), 
    "At least one pattern dim must be specified."
  )
  expect_error(
    Start('all'), 
    "At least one pattern dim must be specified."
  )
})

test_that("Call with unexisting file crashes.", {
  expect_error(
    Start(dataset = list(
                      list(path = './non_existing_file.nc',
                           name = 'Dataset A')
                    ),
          pattern_dims = 'dataset'),
    "No data files found for any of the specified datasets."
  )
})

# WIP. Should work as is.
test_that("Call with existing file with single variable and inner dimensions of length > 1 and no inner selectors specified crashes.", {
  expect_error(
    Start(dataset = list(
                      list(path = paste0(tmp_dir, '/existing_file_with_single_variable_and_inner_dimensions_>_1.nc'),
                           name = 'Dataset A')
                    ),
          pattern_dims = 'dataset'),
    "No data files found for any of the specified datasets."
  )
})
